%global snapshot_version 20210124131036

Name:           synthpod
Version:        0.0.0
Release:        %{snapshot_version}.1%{?dist}
Summary:        Lightweight Nonlinear LV2 Plugin Container 

License:        Artistic 2.0
URL:            https://www.open-music-kontrollers.ch/lv2/synthpod/
Source0:        %{name}-%{version}+%{snapshot_version}.tar.xz

BuildRequires:  git
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  fontconfig
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(lilv-0)
BuildRequires:  pkgconfig(sratom-0)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-xrm)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-xlib)
BuildRequires:  zita-alsa-pcmi-devel


%description
Synthpod is an LV2 host. It can be run as a standalone app and be used as a tool for live performances or general audio and event filtering.

It was conceptualized to fill the gap between pure textual (e.g. SuperCollider) and pure visual flow (e.g. Pure Data) audio programming paradigms.

%prep
%autosetup -Sgit


%build
%meson
%meson_build


%install
rm -rf $RPM_BUILD_ROOT
%meson_install


%files
%license COPYING
%doc README.md
%{_bindir}/synthpod_*
%{_libdir}/lv2/synthpod.lv2
%{_libdir}/synthpod
%{_mandir}/man1/synthpod_*.1.gz


%changelog
* Thu Feb 04 2021 Olivier Samyn 🎻 <code@oleastre.be> - 0.0.0-20210124131036.1
- New upstream release 0.0.0 + 20210124131036 commits; git sha1=25830a6
